package com.docus.server.pacs.service.impl;

import com.docus.server.constants.DSKeyConstants;
import com.docus.server.pacs.infrastructure.mapper.PacsDeptMapper;
import com.docus.server.pacs.service.IPacsService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Component(DSKeyConstants.PACS_DS_KEY + "ServiceImpl")
@AllArgsConstructor
public class PacsServiceImpl implements IPacsService {

    private final PacsDeptMapper pacsDeptMapper;

    @Override
    public List<Map<String, Object>> page(Date startDate, Date endDate, int pageNum, int pageSize) {
        return pacsDeptMapper.page(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<Map<String, Object>> BatchForJZH(List<String> jzhs) {
        return pacsDeptMapper.BatchForJZH(jzhs);
    }

    @Override
    public List<Map<String, Object>> BatchForJZHAndAdmissTimes(List<Map<String, Object>> datas) {
        return pacsDeptMapper.BatchForJZHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForZYHAndAdmissTimes(List<Map<String, Object>> datas) {
        return pacsDeptMapper.BatchForZYHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForEXAMTIME(List<Map<String, Object>> datas) {
        return pacsDeptMapper.BatchForEXAMTIME(datas);
    }


}
